Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ascape.util.vis
Class PlatformDrawFeatureSelection

    java.lang.Object
      java.util.Observable
          org.ascape.util.VectorSelection
              org.ascape.util.vis.PlatformDrawFeatureSelection

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Observer

Direct Known Subclasses:
  DrawFeatureSelection

    public class PlatformDrawFeatureSelection

extends VectorSelection

A (probably temporary) class for handling DrawFeature Observation.

Since:
  1.2.6
Version:
  1.2.6 10/26/99
Author:
  Miles Parker
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.ascape.util.VectorSelection
`vector`

Constructor Summary
`PlatformDrawFeatureSelection(Scape scape)` Construct a new DrawFeatureSelection.

Method Summary
`PlatformDrawFeature` | `findByName(java.lang.String name)`
`void` | `moveDown(PlatformDrawFeature drawFeature)`
`void` | `moveToBottom(PlatformDrawFeature drawFeature)`
`void` | `moveToTop(PlatformDrawFeature drawFeature)` Moves the Draw Feature selected to the top of the list.
`void` | `moveUp(PlatformDrawFeature drawFeature)`

Methods inherited from class org.ascape.util.VectorSelection
`addElement, addElement, clear, clearSelection, clone, getIndexInVector, getSelectedElement, getSelectedIndex, getSelection, getSelectionSize, getVector, isSelected, isSelected, moveToBack, moveToFront, removeElement, select, selectAll, setSelected, setSelected, setSelected, setVector, toString, unselect, update, update`

Methods inherited from class java.util.Observable
`addObserver, clearChanged, countObservers, deleteObserver, deleteObservers, hasChanged, notifyObservers, notifyObservers, setChanged`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PlatformDrawFeatureSelection

    public PlatformDrawFeatureSelection(Scape scape)

  Construct a new DrawFeatureSelection.

  Parameters:
    `scape` - the scape holding the draw feature inforamtion

Method Detail

### moveToTop

    public void moveToTop(PlatformDrawFeature drawFeature)

  Moves the Draw Feature selected to the top of the list. Note: This code is from ViewCustomizer.update()

  Parameters:
    `drawFeature` - the Draw Feature to be moved to the top

### moveToBottom

    public void moveToBottom(PlatformDrawFeature drawFeature)

### moveUp

    public void moveUp(PlatformDrawFeature drawFeature)

### moveDown

    public void moveDown(PlatformDrawFeature drawFeature)

### findByName

    public PlatformDrawFeature findByName(java.lang.String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD